Subject: bug#58383: 29.0.50; Make it easier to invert vc-prepare-patches-separately

From: Sean Whitton <[email-masked]>
Date: Wed, 09 Nov 2022 09:36:36 -0700

Hello,

On Wed 09 Nov 2022 at 08:28AM GMT, Philip Kaludercic wrote:

> Sean Whitton <[email-masked]> writes:
>
>> Hello,
>>
>> On Tue 08 Nov 2022 at 08:31PM GMT, Philip Kaludercic wrote:
>>
>>> Sean Whitton <[email-masked]> writes:
>>>
>>>>>> On the other hand, having a numeric prefix argument mean "send patches
>>>>>> correspoding to the top N revisions of the current branch" would be very
>>>>>> convenient.  Perhaps these two could be combined by using a negative
>>>>>> number to mean also invert?
>>>>>
>>>>> This is the usual problem with numeric prefix arguments.  You don't get
>>>>> that much expressivity with just an integer.
>>>>>
>>>>> That is why I would hesitate to assign any particular interpretation to
>>>>> prefix arguments, before considering and weighing the options.
>>>>
>>>> Well, any other options in mind?  Varying the -N argument to
>>>> git-format-patch/git-send-email is what I find myself using the most.
>>>
>>> The issue is finding a way for this to be expressed VC-generically.
>>
>> s/expressed/implemented/, right?
>
> I meant expressed, but I don't remember what I meant ^^
>
> So let's say implement.  What we could do is just call
> `previous-revision' for the backend N times, but with what file?

I don't know, but the meaning of "the past N checked-in revisions of the
whole tree" is what we need to agree upon, then it's just coding.

-- 
Sean Whitton